Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040284
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2019-02-27 12:512019-12-31 10:51
ReporterfranciscoView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision4eae47894e32
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2017-03-22
Regression introduced in release3.0PR17Q2
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f840f08b67ec [^]
Triggers an Emergency PackNo
Summary

0040284: Manage pre-reservation not possible

DescriptionWhen its done a pre-reservation, once it's done is not possible to manage.
It's not possible modify or eliminate.
Steps To Reproduce* In preference activate Enable Stock Reservation
* Create a purchase order Ex: Cerveza Ale 0.5L Qty:10
* Create a Sales order Ex: Cerveza Ale 0.5L QTY:5
* Go to the sales Order and click on manage reservation and modify some of the orders we have, the sale or the purchase
* Go again to manage reservation and it does not appear the purchase order
* Same is happening if you go to the Stock reservation window and click on the line, the purchase is not there so it is not possible modify or to eliminate the order
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00403223.0PR19Q1 closedAtulOpenbravo Manage pre-reservation not possible 
depends on backport 00403233.0PR18Q4.3 closedAtulOpenbravo Manage pre-reservation not possible 

-  Notes
(0110244)
AtulOpenbravo (developer)
2019-03-06 07:04

Test Plan
- In preference add Enable Stock Reservation = Yes for F&B International Group client and * organization.
- Create a purchase order Ex: Cerveza Ale 0.5L Qty:10
- Create a Sales order Ex: Cerveza Ale 0.5L QTY:5
- Go to the sales Order and click on manage reservation and add previous purchase order line prereservation
- Go again to manage reservation and check stock reservation related to previous the purchase order line appears.
- Navigate to the Stock reservation window and click on the record with above sales order line, the purchase order line is shown in Stock tab.
(0110259)
hgbot (developer)
2019-03-06 16:01

Repository: erp/devel/pi
Changeset: 4eae47894e328b486388fe3de4a3ad18af203e7d
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Tue Mar 05 19:04:20 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4eae47894e328b486388fe3de4a3ad18af203e7d [^]

Fixes Issue 0040284: Manage pre-reservation not possible

** Do not use strict join on storage bin in query used to
get selected lines to avoid skipping of reservation stock
(pre-reservation) as they do not have storage bins, hence
used left join in place.

---
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
---
(0110264)
Sandrahuguet (developer)
2019-03-06 16:34

code review + testing ok
(0110849)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0116585)
hgbot (developer)
2019-12-31 10:51

Repository: tools/automation/int
Changeset: e2da23e1f87c7d1d4f83ab906bad5ac22b41df24
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Sat Nov 23 01:02:56 2019 -0500
URL: http://code.openbravo.com/tools/automation/int/rev/e2da23e1f87c7d1d4f83ab906bad5ac22b41df24 [^]

Related to issue 40284: Added some automated tests

---
M src-test/com/openbravo/test/integration/erp/data/sales/transactions/salesorder/ManageReservationData.java
M src-test/com/openbravo/test/integration/erp/gui/sales/transactions/salesorder/LinesTab.java
M src-test/com/openbravo/test/integration/erp/modules/client/application/gui/pickandexecute/PickAndExecuteWindow.java
M src-test/com/openbravo/test/integration/erp/modules/functionalteam/reservation/testsuites/RES_Regressions/RES_Regressions3/RES_RegressionSuite3.java
M src-test/com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Grid.java
A src-test/com/openbravo/test/integration/erp/modules/functionalteam/reservation/testsuites/RES_Regressions/RES_Regressions3/RESRegression40284.java
---

- Issue History
Date Modified Username Field Change
2019-02-27 12:51 francisco New Issue
2019-02-27 12:51 francisco Assigned To => Triage Finance
2019-02-27 12:51 francisco Modules => Core
2019-02-27 12:51 francisco Triggers an Emergency Pack => No
2019-02-27 12:58 Practics Issue Monitored: Practics
2019-02-27 15:11 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-03-04 19:34 AtulOpenbravo Status new => scheduled
2019-03-05 14:42 AtulOpenbravo Regression level => Production - Confirmed Stable
2019-03-05 14:42 AtulOpenbravo Regression date => 2017-03-22
2019-03-05 14:42 AtulOpenbravo Regression introduced in release => 3.0PR17Q2
2019-03-05 14:42 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/f840f08b67ec [^]
2019-03-05 16:10 AtulOpenbravo Status scheduled => acknowledged
2019-03-05 16:11 AtulOpenbravo Status acknowledged => scheduled
2019-03-06 07:04 AtulOpenbravo Note Added: 0110244
2019-03-06 16:01 hgbot Checkin
2019-03-06 16:01 hgbot Note Added: 0110259
2019-03-06 16:01 hgbot Status scheduled => resolved
2019-03-06 16:01 hgbot Resolution open => fixed
2019-03-06 16:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4eae47894e328b486388fe3de4a3ad18af203e7d [^]
2019-03-06 16:34 Sandrahuguet Review Assigned To => Sandrahuguet
2019-03-06 16:34 Sandrahuguet Note Added: 0110264
2019-03-06 16:34 Sandrahuguet Status resolved => closed
2019-03-06 16:34 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110849
2019-12-31 10:51 hgbot Checkin
2019-12-31 10:51 hgbot Note Added: 0116585


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker